// ----------------------------------------------------------------------- //
//
// MODULE  : LOFAlienSonic.h
//
// PURPOSE : AlienSonic - Definition
//
// CREATED : 28/1/99 - by Ewen Vowels for Anarchy-Arts
//
// ----------------------------------------------------------------------- //

#ifndef __ALIENSONIC_H__
#define __ALIENSONIC_H__

#include "cpp_engineobjects_de.h"
#include "Vehicle.h"


class AlienSonic : public Vehicle
{
	public :

 		AlienSonic();

	protected :

		DDWORD	EngineMessageFn(DDWORD messageID, void *pData, DFLOAT fData);

		virtual void UpdateWeapon();
		virtual void UpdateAnimation();
		virtual void SetAnimationIndexes();

		virtual DVector GetFirePos(DVector* pvPos);

		HMODELANIM	m_hLaserAni;
		//HMODELANIM	m_hRocketsAni;

		DBOOL		m_bSaveAllowmovement;
		DBOOL		m_bChangeAnimation;

	private :

		void Save(HMESSAGEWRITE hWrite, DDWORD dwSaveFlags);
		void Load(HMESSAGEREAD hRead, DDWORD dwLoadFlags);

};
#endif // __ALIENSONIC_H__
